import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ConfigService, BaseTabComponent, TabContextMenuItemProvider, NotificationsService, MenuItemOptions, ProfilesService, TranslateService } from 'tabby-core';
import { TerminalService } from './services/terminal.service';
import { UACService } from './api';
/** @hidden */
export declare class SaveAsProfileContextMenu extends TabContextMenuItemProvider {
    private config;
    private ngbModal;
    private notifications;
    private translate;
    constructor(config: ConfigService, ngbModal: NgbModal, notifications: NotificationsService, translate: TranslateService);
    getItems(tab: BaseTabComponent): Promise<MenuItemOptions[]>;
}
/** @hidden */
export declare class NewTabContextMenu extends TabContextMenuItemProvider {
    config: ConfigService;
    private profilesService;
    private terminalService;
    private uac;
    private translate;
    weight: number;
    constructor(config: ConfigService, profilesService: ProfilesService, terminalService: TerminalService, uac: UACService | undefined, translate: TranslateService);
    getItems(tab: BaseTabComponent, tabHeader?: boolean): Promise<MenuItemOptions[]>;
}
